## org.omg.CORBA
Class DATA_CONVERSION

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.DATA_CONVERSION

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class DATA_CONVERSION
extends SystemException

This exception is raised if an ORB cannot convert the representation of data as marshaled into its native representation or vice-versa. For example, DATA_CONVERSION can be raised if wide character codeset conversion fails, or if an ORB cannot convert floating point values between different representations.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`DATA_CONVERSION()`
`DATA_CONVERSION(int minor, CompletionStatus completed)`
`DATA_CONVERSION(java.lang.String orb_reason)`
`DATA_CONVERSION(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DATA_CONVERSION

    public DATA_CONVERSION()

### DATA_CONVERSION

    public DATA_CONVERSION(java.lang.String orb_reason)

### DATA_CONVERSION

    public DATA_CONVERSION(int minor,
                           CompletionStatus completed)

### DATA_CONVERSION

    public DATA_CONVERSION(java.lang.String orb_reason,
                           int minor,
                           CompletionStatus completed)